Subject: Re: bug#36069: Menu-based installer unusable through noVNC

From: Robert Vollmert <[email-masked]>
Date: Thu, 27 Jun 2019 08:34:21 +0200

> On 26. Jun 2019, at 22:23, pelzflorian (Florian Pelz) <[email-masked]> wrote:
> 
> On Wed, Jun 26, 2019 at 06:51:41PM +0200, Björn Höfling wrote:
>> What's the conclusion? Maybe that Guix is fine and the VNC-clients are
>> also fine. It might just be a matter of configuration or using an older
>> version with bugs?
>> 
> 
> Passing “-vga cirrus” reduces the display size.
> 
> The command “man qemu” says:
> 
> -vga type
>    Select type of VGA card to emulate. Valid values for type
>    are
> 
>    cirrus
>        Cirrus Logic GD5446 Video card. All Windows versions
>        starting from Windows 95 should recognize and use
>        this graphic card. For optimal performances, use 16
>        bit color depth in the guest and the host OS.  (This
>        card was the default before QEMU 2.2)
> 
> So presumably the VPS is using an old QEMU or passes -vga cirrus.

Great find! Indeed, lspci lists

00:02.0 VGA compatible controller: Cirrus Logic GD 5446

Is this something that could be fixed by including a driver for that
card in the kernel?